rev {base} | R Documentation

## Reverse Elements

### Description

`rev` provides a reversed version of its argument. It is generic function with a default method for vectors and one for `dendrogram`s.

Note that this is no longer needed (nor efficient) for obtaining vectors sorted into descending order, since that is now rather more directly achievable by `sort(x, decreasing=TRUE)`.

### Usage

    rev(x)
    ## Default S3 method:
    rev(x)

### Arguments

`x` | a vector or another object for which reversion is defined.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`seq`, `sort`.

### Examples

    x <- c(1:5,5:3)
    ## sort into descending order; first more efficiently:
    stopifnot(sort(x, decreasing = TRUE) == rev(sort(x)))
    stopifnot(rev(1:7) == 7:1)#- don't need 'rev' here

[Package Contents]